# Uses of Interface
org.eclipse.pde.ui.IFieldData

Packages that use IFieldData
Package
Description
org.eclipse.pde.ui
Application programming interfaces describing UI elements that can be contributed to PDE.
org.eclipse.pde.ui.templates
Application programming interfaces for contributing to and extending PDE project templates.

## Uses of IFieldData in org.eclipse.pde.ui

Subinterfaces of IFieldData in org.eclipse.pde.ui
Modifier and Type
Interface
Description
`interface`
`IFragmentFieldData`
In addition to field data from the 'New Project' wizard pages, this interface provides choices made by the user that are unique to creating a new fragment project.
`interface`
`IPluginFieldData`
In addition to field data from the 'New Project' wizard pages, this interface provides choices made by the user that are unique to creating a new plug-in project.
Methods in org.eclipse.pde.ui with parameters of type IFieldData
Modifier and Type
Method
Description
`void`
IPluginContentWizard.`init(IFieldData data)`
Initializes the wizard with the data collected from the parent wizard pages.

## Uses of IFieldData in org.eclipse.pde.ui.templates

Methods in org.eclipse.pde.ui.templates that return IFieldData
Modifier and Type
Method
Description
`IFieldData`
AbstractNewPluginTemplateWizard.`getData()`
Returns the field data passed to the wizard during the initialization.
Methods in org.eclipse.pde.ui.templates with parameters of type IFieldData
Modifier and Type
Method
Description
`void`
AbstractNewPluginTemplateWizard.`init(IFieldData data)`
`protected void`
BaseOptionTemplateSection.`initializeFields(IFieldData data)`
Initializes options in the wizard page using the data provided by the method parameters.